#!/bin/bash
# --------------------------------------------------------------------------
# hot reconfiguration of HAproxy with server list in filename provided by $1
# --------------------------------------------------------------------------
# build the combined configuration file
# -------------------------------------
cat /etc/haproxy/haproxy.cfg.base $1 > /etc/haproxy/haproxy.cfg

# -------------------------------------
# perform a HOT restart of the HAproxy
# -------------------------------------
haproxy -f /etc/haproxy/haproxy.cfg -p /var/haproxy.pid -sf $(cat /run/haproxy.pid) 

killall -15 haproxy
killall -9  haproxy
killall -9  /usr/sbin/haproxy
killall -9  /usr/sbin/haproxy-systemd-wrapper

# -----------
# end of file
# -----------

